/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"

#define ASSERT_TRUE(x) assert(x)

#define ASSERT_NOT_NULL(x) ASSERT_TRUE(x != NULL)

#define ASSERT_IF(x, y) (x ? y : false)

#define ASSERT_EQUAL(x, y) ASSERT_TRUE(x == y)
#define ASSERT_NOT_EQUAL(x, y) ASSERT_TRUE(x != y)

#define ASSERT_LESS_THAN(x, y) ASSERT_TRUE(x < y)
#define ASSERT_LESS_THAN_EQUAL_TO (x, y) ASSERT_TRUE(x <= y)

#define ASSERT_GREATER_THAN(x, y) ASSERT_TRUE(x > y)
#define ASSERT_GREATER_THAN_EQUAL_TO(x, y) ASSERT_TRUE(x >= y)